package main.maps;

import main.Tile;

public class TutorialMap extends Map {
	
	public TutorialMap() {
		super(15, 11);
		for (int x = 0; x < map.length; x++) {
			for (int y = 0; y < map[0].length; y++) {
				//Wand, Sichtschutz
				if (y == 0 ||y == map[0].length - 1 || x == 0 || x == map.length - 1 || ((y == 4|| y == 5) && x == 10 )) {
					map[x][y] = new Tile (1, x, y);
					add(map [x][y]);
				}
				//3D-Wand, 3F-Sichtschutz
				else if(y == 1 || ( y == 6 && x == 10)) {
					map[x][y] = new Tile (2, x, y);
					add(map [x][y]);
				}
				//Grasboden
				else{
					map[x][y] = new Tile(0, x, y);
					add(map[x][y]);
				}
			}
		}
	}
}
